<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>All books</title>
</head>
<body>
<div th:each="book : ${books}">
  <a th:href="@{/books/{id}(id=${book.getId()})}"
     th:text="${book.getTitle() + ' , ' + book.getAuthor() + ' , ' + book.getYear()}">user</a>
</div>
<br/>
<hr/>
<a th:href="@{/books/new}">Добавить книгу</a>
</body>
</html>